Skip to main content
GET
/
v1
/
notifications
List notifications
curl --request GET \
  --url https://api.magne.app/v1/notifications \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "category": "<string>",
    "title": "<string>",
    "body": "<string>",
    "avatarUrl": "<string>",
    "origin": {},
    "read": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

id
string<uuid>
userId
string<uuid>
type
string
category
string
title
string
body
string
avatarUrl
string | null
origin
object
read
boolean
createdAt
string<date-time>